Я не могу скомпилировать пакет Slingswarm из GitHub на Debian 8

Я не нашел ответа в Интернете. '-'

$ cmake .. -- The C compiler identification is GNU 4.9.2 -- The CXX compiler identification is GNU 4.9.2 -- Check for working C compiler: /usr/bin/cc -- Check for working C compiler: /usr/bin/cc -- works -- Detecting C compiler ABI info -- Detecting C compiler ABI info - done -- Check for working CXX compiler: /usr/bin/c++ -- Check for working CXX compiler: /usr/bin/c++ -- works -- Detecting CXX compiler ABI info -- Detecting CXX compiler ABI info - done -- Found PkgConfig: /usr/bin/pkg-config (found version "0.28") -- checking for modules 'gtk+-3.0;gee-0.8;gio-unix-2.0;libgnome-menu 3.0' -- found gtk+-3.0, version 3.14.5 -- found gee-0.8, version 0.16.1 -- found gio-unix-2.0, version 2.42.1 -- found libgnome-menu-3.0, version 3.13.3 -- checking for module 'gthread-2.0 >= 2.14.0' -- found gthread-2.0 , version 2.42.1 -- Found Vala: /usr/bin/valac -- checking for a minimum Vala version of 0.14.0 -- found Vala, version 0.26.1 -- Configuring done -- Generating done -- Build files have been written to: /usr/local/slingswarm/build $ make [ 11%] Generating slingshot.c, frontend/widgets/AppItem.c, frontend/widgets/CompositedWindow.c, frontend/widgets/Indicators.c, frontend/widgets/Searchbar.c, frontend/Utilities.c, frontend/Color.c, backend/GMenuEntries.c /usr/local/slingswarm/slingshot.vala:167.17-167.45: error: 2 missing arguments for `void Gtk.Grid.attach (Gtk.Widget child, int left, int top, int width, int height)' this.grid.attach (item, c, r); ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^ Compilation failed: 1 error(s), 0 warning(s) CMakeFiles/slingswarm-launcher.dir/build.make:60: recipe for target 'slingshot.c' failed make[2]: *** [slingshot.c] Error 1 CMakeFiles/Makefile2:60: recipe for target 'CMakeFiles/slingswarm-launcher.dir/all' failed make[1]: *** [CMakeFiles/slingswarm-launcher.dir/all] Error 2 Makefile:117: recipe for target 'all' failed make: *** [all] Error 2 

https://github.com/echo-devim/slingswarm

Slingswarm ожидает более новых версий valac чем 0.26.1; более поздние версии определяют значения по умолчанию для отсутствующих параметров для Gtk.Grid.attach . Чтобы создать пакет на Debian 8, измените ошибочную строку в slingshot.vala на

 this.grid.attach (item, c, r, 1, 1); 

и снова запустите.

(Это действительно ошибка в Slingswarm.)